### Method

# Gio FileAttributeMatcher subtract

#### Declaration

    GFileAttributeMatcher*
    g_file_attribute_matcher_subtract (
      GFileAttributeMatcher* matcher,
      GFileAttributeMatcher* subtract
    )

#### Description

Subtracts all attributes of `subtract` from `matcher` and returns a matcher that supports those attributes.

Note that currently it is not possible to remove a single attribute when the `matcher` matches the whole namespace - or remove a namespace or attribute when the matcher matches everything. This is a limitation of the current implementation, but may be fixed in the future.

#### Parameters

`subtract`

  Type: `GFileAttributeMatcher`

  The matcher to subtract.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GFileAttributeMatcher`

A file attribute matcher matching all attributes of `matcher` that are not matched by `subtract`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.